## ros-melodic-track-odometry 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(track_odometry)

set(CATKIN_DEPENDS
  roscpp

  geometry_msgs
  message_filters
  nav_msgs
  sensor_msgs
  std_msgs
  tf2
  tf2_geometry_msgs
  tf2_ros
  trajectory_msgs

  neonavigation_common
)

find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
find_package(Eigen3 REQUIRED)
catkin_package(
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIR})


add_executable(track_odometry src/track_odometry.cpp)
target_link_libraries(track_odometry ${catkin_LIBRARIES})
add_dependencies(track_odometry ${catkin_EXPORTED_TARGETS})

add_executable(tf_projection src/tf_projection_node.cpp src/tf_projection.cpp)
target_link_libraries(tf_projection ${catkin_LIBRARIES})
add_dependencies(tf_projection ${catkin_EXPORTED_TARGETS})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_subdirectory(test)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()


install(TARGETS
    tf_projection
    track_odometry
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== test/CMakeLists.txt ===
catkin_add_gtest(test_tf_projection
  src/test_tf_projection.cpp
  ../src/tf_projection.cpp
)
target_link_libraries(test_tf_projection ${catkin_LIBRARIES})

add_rostest_gtest(test_track_odometry
  test/track_odometry_rostest.test
  src/test_track_odometry.cpp
)
target_link_libraries(test_track_odometry ${catkin_LIBRARIES})
add_dependencies(test_track_odometry track_odometry)

add_rostest_gtest(test_tf_projection_node
  test/tf_projection_rostest.test
  src/test_tf_projection_node.cpp
)
target_link_libraries(test_tf_projection_node ${catkin_LIBRARIES})
add_dependencies(test_tf_projection_node tf_projection)

## ros-melodic-track-odometry 0.10.4

=== debian/changelog ===
ros-melodic-track-odometry (0.10.4-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.0-1stretch) stretch; urgency=high

  * Increase initialization timeout in the tests (#536 <https://github.com/at-wat/neonavigation/issues/536>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-melodic-track-odometry (0.9.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-melodic-track-odometry (0.9.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.8-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.7-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.6-1stretch) stretch; urgency=high

  * Fix duplicated tf timestamp (#494 <https://github.com/at-wat/neonavigation/issues/494>)
  * track_odometry: increase transform timeout in tests (#490 <https://github.com/at-wat/neonavigation/issues/490>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.5-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.4-1stretch) stretch; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.2-1stretch) stretch; urgency=high

  * track_odometry: add option to align all postures to source frame (#447 <https://github.com/at-wat/neonavigation/issues/447>)
  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * track_odometry: add enable_tcp_no_delay option to reduce latency (#456 <https://github.com/at-wat/neonavigation/issues/456>)
  * track_odometry: use double instead of float (#455 <https://github.com/at-wat/neonavigation/issues/455>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.1-1stretch) stretch; urgency=high

  * track_odometry: increase queue sizes of message_filters::Subscriber (#450 <https://github.com/at-wat/neonavigation/issues/450>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-melodic-track-odometry (0.7.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-melodic-track-odometry (0.6.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-melodic-track-odometry (0.5.1-1stretch) stretch; urgency=high

  * track_odometry: fix test stability (#412 <https://github.com/at-wat/neonavigation/issues/412>)
  * Fix header namespaces (#408 <https://github.com/at-wat/neonavigation/issues/408>)
  * Migrate from C math functions to C++ (#407 <https://github.com/at-wat/neonavigation/issues/407>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-melodic-track-odometry (0.5.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Oct 2019 00:00:00 -0000

ros-melodic-track-odometry (0.4.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 10 Sep 2019 00:00:00 -0000

ros-melodic-track-odometry (0.4.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Aug 2019 00:00:00 -0000

ros-melodic-track-odometry (0.4.1-1stretch) stretch; urgency=high

  * track_odometry: synchronize Odometry and IMU (#363 <https://github.com/at-wat/neonavigation/issues/363>)
  * Drop ROS Indigo and Ubuntu Trusty support (#310 <https://github.com/at-wat/neonavigation/issues/310>)
  * Fix include directory priority (#308 <https://github.com/at-wat/neonavigation/issues/308>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-melodic-track-odometry (0.4.0-1stretch) stretch; urgency=high

  * track_odometry: fix z_filter unit to seconds (#290 <https://github.com/at-wat/neonavigation/issues/290>)
  * track_odometry: add project_posture option to tf_projection node (#286 <https://github.com/at-wat/neonavigation/issues/286>)
  * track_odometry: refactor tf_projection (#285 <https://github.com/at-wat/neonavigation/issues/285>)
  * track_odometry: set missing child_frame_id in tf_projection (#283 <https://github.com/at-wat/neonavigation/issues/283>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-melodic-track-odometry (0.3.1-1stretch) stretch; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)


=== debian/control ===
Source: ros-melodic-track-odometry
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-neonavigation-common, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-track-odometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-neonavigation-common, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs
Description: Odometry slip compensation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-track-odometry//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-track-odometry 0.14.0

=== debian/changelog ===
ros-melodic-track-odometry (0.14.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-melodic-track-odometry (0.13.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-melodic-track-odometry (0.12.2-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-melodic-track-odometry (0.12.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-melodic-track-odometry (0.12.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-melodic-track-odometry (0.11.8-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-melodic-track-odometry (0.11.7-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-melodic-track-odometry (0.11.6-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-melodic-track-odometry (0.11.5-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-melodic-track-odometry (0.11.4-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-melodic-track-odometry (0.11.3-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-melodic-track-odometry (0.11.2-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-melodic-track-odometry (0.11.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-melodic-track-odometry (0.11.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.11-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.10-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.9-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.8-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.7-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.6-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-melodic-track-odometry (0.10.5-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.4-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.3-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.2-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-melodic-track-odometry (0.10.0-1bionic) bionic; urgency=high

  * Increase initialization timeout in the tests (#536 <https://github.com/at-wat/neonavigation/issues/536>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-melodic-track-odometry (0.9.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-melodic-track-odometry (0.9.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.8-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.7-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.6-1bionic) bionic; urgency=high

  * Fix duplicated tf timestamp (#494 <https://github.com/at-wat/neonavigation/issues/494>)
  * track_odometry: increase transform timeout in tests (#490 <https://github.com/at-wat/neonavigation/issues/490>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.5-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.4-1bionic) bionic; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.3-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-melodic-track-odometry (0.8.2-1bionic) bionic; urgency=high

  * track_odometry: add option to align all postures to source frame (#447 <https://github.com/at-wat/neonavigation/issues/447>)
  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * track_odometry: add enable_tcp_no_delay option to reduce latency (#456 <https://github.com/at-wat/neonavigation/issues/456>)
  * track_odometry: use double instead of float (#455 <https://github.com/at-wat/neonavigation/issues/455>)
  * Contributors: Atsushi Watanabe, Naotaka Hatao, Yuta Koga



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
-Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-neonavigation-common, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs
+Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nav-msgs, ros-melodic-neonavigation-common, ros-melodic-roscpp, ros-melodic-roslint <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
